Bug 736859

Summary: dual-head: re-arranging screen leaves one screen off
Product: [Fedora] Fedora Reporter: Jurgen Kramer <gtmkramer>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: ajax, mcepl, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 07:56:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
intel_reg_dumper output, 2 screens active
none
intel_reg_dumper output, 2 screens active, small on the right
none
intel_reg_dumper output, re-arrange: big screen now off
none
see comment
none
see comment
none
see comment
none
see comment
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6
none
see comment #6 none

Description Jurgen Kramer 2011-09-08 21:27:29 UTC
Description of problem:
When in dual head mode I re-arrange the screens the second screen goes off.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64

How reproducible:
Not consistent

Steps to Reproduce:
1. Attach 2nd screen
2. re-arrange in gnome-settings
3. 
  
Actual results:
2nd screen goes off.

Expected results:


Additional info:
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09)

attached 3 captures created with intel_reg_dumper.

Comment 1 Jurgen Kramer 2011-09-08 21:29:41 UTC
Created attachment 522207 [details]
intel_reg_dumper output, 2 screens active

intel_reg_dumper output, 2 screens active. Small screen (main) is now on the left, I want it on the right.

Comment 2 Jurgen Kramer 2011-09-08 21:31:35 UTC
Created attachment 522208 [details]
intel_reg_dumper output, 2 screens active, small on the right

Comment 3 Jurgen Kramer 2011-09-08 21:32:57 UTC
Created attachment 522209 [details]
intel_reg_dumper output, re-arrange: big screen now off

re-arranged the screen so big one on the left and small on the right. Big screen turned off after switching.

Comment 4 Jurgen Kramer 2011-09-08 21:47:25 UTC
found some messages in the kernel log which might be related:

[ 1462.198454] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder
[ 1697.377116] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder
[ 1878.172624] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder
[ 1942.191463] HDMI hot plug event: Codec=3 Pin=5 Presence_Detect=1 ELD_Valid=0
[ 1942.191507] HDMI status: Codec=3 Pin=5 Presence_Detect=1 ELD_Valid=0
[ 2031.088363] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder
[ 2155.331793] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder
[ 2355.297291] gnome-control-c[3063] general protection ip:7f17d0d3e6fc sp:7fffd611be90 error:0 in libdisplay.so[7f17d0d35000+10000]
[ 2379.001163] gnome-control-c[3208] general protection ip:7f9e53a896fc sp:7fffe68a7360 error:0 in libdisplay.so[7f9e53a80000+10000]
[ 2575.523784] [drm:intel_disable_transcoder] *ERROR* failed to disable transcoder

Comment 5 Matěj Cepl 2011-09-09 22:23:03 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 6 Jurgen Kramer 2011-09-10 08:27:54 UTC
OK, attaching file for various tested scenario's.
There is no /etc/X11/xorg.conf and there are no backtraces in the Xorg.*.log* files.

*scenario 1*
Booted with only 1 screen attached. 
Files:
dmesg-`uname -r`-drm.debug-single-screen.txt
messages-drm.debug-single-screen.txt
Xorg.0.log-drm-debug-booted-with-single-screen

Attached 2nd screen. The 2nd screen only turn on when I start System Settings->Displays.

Files:
dmesg-`uname -r`-drm.debug-attached-2nd-screen.txt
messages-drm.debug-attached-2nd-screen.txt

Switched screens (first time it worked):
dmesg-`uname -r`-drm.debug-switched-screens.txt
More switching (stays black):
dmesg-`uname -r`-drm.debug-switched-screens-stayed-black.txt
Some more switching:
dmesg-`uname -r`-drm.debug-switched-screens-few-times-stayed-black.txt

*scenario 2*
Booted with 2 screens attached. Things of interest. The login screen came up on the bigger screen (on the left). After login in gnome-panel came up on the smaller screen (on the right) (??).

Files:
dmesg-`uname -r`-booted-with-2screens.txt
messages-drm.debug-booted-with-2screens.txt
Xorg.0.log-booted-with-2screens

Did some switching, 1 screen stayed black:
messages-drm.debug-booted-with-2screens-switched-black.txt

Thing of interest: sometimes the Displays app goes to the black screen only to return when the timeout runs out.

If you need more info, just let me know.

Comment 7 Jurgen Kramer 2011-09-10 08:30:03 UTC
Created attachment 522463 [details]
see comment

Comment 8 Jurgen Kramer 2011-09-10 08:31:41 UTC
Created attachment 522464 [details]
see comment

Comment 9 Jurgen Kramer 2011-09-10 08:32:11 UTC
Created attachment 522465 [details]
see comment

Comment 10 Jurgen Kramer 2011-09-10 08:32:42 UTC
Created attachment 522466 [details]
see comment

Comment 11 Jurgen Kramer 2011-09-10 08:34:57 UTC
Created attachment 522467 [details]
see comment #6

Comment 12 Jurgen Kramer 2011-09-10 08:37:54 UTC
Created attachment 522468 [details]
see comment #6

Comment 13 Jurgen Kramer 2011-09-10 08:39:41 UTC
Created attachment 522469 [details]
see comment #6

Comment 14 Jurgen Kramer 2011-09-10 08:40:29 UTC
Created attachment 522470 [details]
see comment #6

Comment 15 Jurgen Kramer 2011-09-10 08:42:15 UTC
Created attachment 522471 [details]
see comment #6

Comment 16 Jurgen Kramer 2011-09-10 08:42:49 UTC
Created attachment 522472 [details]
see comment #6

Comment 17 Jurgen Kramer 2011-09-10 08:44:27 UTC
Created attachment 522473 [details]
see comment #6

Comment 18 Jurgen Kramer 2011-09-10 08:45:06 UTC
Created attachment 522474 [details]
see comment #6

Comment 19 Jurgen Kramer 2011-09-10 08:45:41 UTC
Created attachment 522475 [details]
see comment #6

Comment 20 Jurgen Kramer 2011-09-10 08:47:39 UTC
Created attachment 522476 [details]
see comment #6

Comment 21 Jurgen Kramer 2011-09-10 08:49:58 UTC
Created attachment 522477 [details]
see comment #6

Bugzilla is now probably out of diskspace ;-)

Comment 22 Jurgen Kramer 2011-09-16 17:25:01 UTC
Any progress on this?

Comment 23 Jurgen Kramer 2011-09-22 18:18:35 UTC
Haven't heard back since I submitted megabytes of logs files. Is this still under investigation? If not, I will close this bug.

Comment 24 Fedora End Of Life 2013-01-16 09:56:52 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 25 Fedora End Of Life 2013-02-13 07:56:37 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.